Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class AdminDefinedSecureResourceConfig

    java.lang.Object
      com.bea.dsp.management.beans.AdminDefinedSecureResourceConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable

    public final class AdminDefinedSecureResourceConfig

extends java.lang.Object
implements java.io.Serializable, Validatable

Security configuration defined for a schema element (or attribute).

See Also:
  Serialized Form

Nested Class Summary
`static class` | `AdminDefinedSecureResourceConfig.RedactionMode` Defines the redaction mode to be used when owing to security access control some element (or attribute) cannot be returned to the client as is.

Constructor Summary
`AdminDefinedSecureResourceConfig(java.lang.String xpath)`

Method Summary
`java.util.Set<javax.xml.namespace.QName>` | `getDataDrivenSecurityQueries()` Returns a list of all the security xquery references to be used to control access to this element.
`java.util.List<javax.xml.namespace.QName>` | `getDataDrivenSecurityQuery()` Deprecated.
`java.lang.String` | `getDefaultValue()` Returns the default value to be used in place of the actual value if the element (or attibute) access is denied.
`AdminDefinedSecureResourceConfig.RedactionMode` | `getRedactionMode()` Return the redaction mode employed by this secured element.
`java.lang.String` | `getXpath()` Returns the unique xpath for the element in the return type.
`boolean` | `isUsesTag()` Returns `true` if the element (or attibute) must be present in the return value.
`void` | `setDataDrivenSecurityQueries(java.util.Set<javax.xml.namespace.QName> dataDrivenSecurityQueries)` Passing null clears the current list.
`void` | `setDataDrivenSecurityQuery(java.util.List<javax.xml.namespace.QName> dataDrivenSecurityQuery)` Deprecated.
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setRedactionMode(AdminDefinedSecureResourceConfig.RedactionMode mode)` Set the redaction mode to be used when the element is secured.
`void` | `setUsesTag(boolean usesTag)` Deprecated. use #setRedactionMode()
`java.lang.String` | `toString()`
`void` | `validate()` Validates bean specific attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdminDefinedSecureResourceConfig

    public AdminDefinedSecureResourceConfig(java.lang.String xpath)

Method Detail

### getXpath

    public java.lang.String getXpath()

  Returns the unique xpath for the element in the return type.

  Returns:
    the unique xpath for the element in the return type

### getDataDrivenSecurityQuery

    public java.util.List<javax.xml.namespace.QName> getDataDrivenSecurityQuery()

  Deprecated.

  Returns a list of all the security xquery references to be used to control access to this element. This xquery functions are defined at the dataspace level in AccessControlConfig. This list will never be null.

  Returns:
    a list of all the security xquery references to be used to control access to this element
  See Also:
    `AccessControlConfig.getDataDrivenSecurityQueries()`, `getDataDrivenSecurityQueries()`

### setDataDrivenSecurityQuery

    public void setDataDrivenSecurityQuery(java.util.List<javax.xml.namespace.QName> dataDrivenSecurityQuery)

  Deprecated.

  See Also:
    `setDataDrivenSecurityQueries(java.util.Set)`

### getDataDrivenSecurityQueries

    public java.util.Set<javax.xml.namespace.QName> getDataDrivenSecurityQueries()

  Returns a list of all the security xquery references to be used to control access to this element. This xquery functions are defined at the dataspace level in AccessControlConfig. This list will never be null.

  Returns:
    a list of all the security xquery references to be used to control access to this element
  See Also:
    `AccessControlConfig.getDataDrivenSecurityQueries()`

### setDataDrivenSecurityQueries

    public void setDataDrivenSecurityQueries(java.util.Set<javax.xml.namespace.QName> dataDrivenSecurityQueries)

  Passing null clears the current list.

  Parameters:
    `dataDrivenSecurityQueries` -

### getDefaultValue

    public java.lang.String getDefaultValue()

  Returns the default value to be used in place of the actual value if the element (or attibute) access is denied. This is used only when the redaction mode is RedactionMode.DEFAULTING. This value must be set if the redaction mode is RedactionMode.DEFAULTING.

  Returns:
    the default value to be used in place of the actual value if the element (or attibute) access is denied

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

### isUsesTag

    public boolean isUsesTag()

  Returns `true` if the element (or attibute) must be present in the return value. When an element (or attibute) is mandatory this has to be true. Even if the element (or attibute) is not mandatory an administrator can set this to true.

  Returns:
    `true` if the element (or attibute) must be present in the return value

### setUsesTag

    public void setUsesTag(boolean usesTag)

  Deprecated. use #setRedactionMode()

### getRedactionMode

    public AdminDefinedSecureResourceConfig.RedactionMode getRedactionMode()

  Return the redaction mode employed by this secured element.

  Returns:
    redaction mode

### setRedactionMode

    public void setRedactionMode(AdminDefinedSecureResourceConfig.RedactionMode mode)
                          throws ValidationException

  Set the redaction mode to be used when the element is secured.

  Parameters:
    `mode` -
  Throws:
    `ValidationException`
  See Also:
    `AdminDefinedSecureResourceConfig.RedactionMode`

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `Validatable`
  Validates bean specific attributes.

  Specified by:
    `validate` in interface `Validatable`
  Throws:
    `ValidationException` - if the validation fails.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.